package com.ruoyi.project.cui.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.cui.mapper.TProblemsMapper;
import com.ruoyi.project.cui.domain.TProblems;
import com.ruoyi.project.cui.service.ITProblemsService;

import javax.annotation.Resource;

/**
 * CUI问题整改跟踪清单Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-03
 */
@Service
public class TProblemsServiceImpl implements ITProblemsService
{
    @Resource
    private TProblemsMapper tProblemsMapper;

    /**
     * 查询CUI问题整改跟踪清单
     *
     * @param id CUI问题整改跟踪清单ID
     * @return CUI问题整改跟踪清单
     */
    @Override
    public TProblems selectTProblemsById(Long id)
    {
        return tProblemsMapper.selectTProblemsById(id);
    }

    /**
     * 查询CUI问题整改跟踪清单列表
     *
     * @param tProblems CUI问题整改跟踪清单
     * @return CUI问题整改跟踪清单
     */
    @Override
    public List<TProblems> selectTProblemsList(TProblems tProblems)
    {
        return tProblemsMapper.selectTProblemsList(tProblems);
    }

    /**
     * 新增CUI问题整改跟踪清单
     *
     * @param tProblems CUI问题整改跟踪清单
     * @return 结果
     */
    @Override
    public int insertTProblems(TProblems tProblems)
    {
        return tProblemsMapper.insertTProblems(tProblems);
    }

    /**
     * 修改CUI问题整改跟踪清单
     *
     * @param tProblems CUI问题整改跟踪清单
     * @return 结果
     */
    @Override
    public int updateTProblems(TProblems tProblems)
    {
        return tProblemsMapper.updateTProblems(tProblems);
    }

    /**
     * 批量删除CUI问题整改跟踪清单
     *
     * @param ids 需要删除的CUI问题整改跟踪清单ID
     * @return 结果
     */
    @Override
    public int deleteTProblemsByIds(Long[] ids)
    {
        return tProblemsMapper.deleteTProblemsByIds(ids);
    }

    /**
     * 删除CUI问题整改跟踪清单信息
     *
     * @param id CUI问题整改跟踪清单ID
     * @return 结果
     */
    @Override
    public int deleteTProblemsById(Long id)
    {
        return tProblemsMapper.deleteTProblemsById(id);
    }
}
